Package fr.gouv.vitam.storage.offers.tape.simulator

# Class VirtualDrive

java.lang.Object
fr.gouv.vitam.storage.offers.tape.simulator.VirtualDrive

public class VirtualDrive extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VirtualDrive(int driveIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getBeginningOfTape()`
  `VirtualTape`
  `getCurrentTape()`
  `int`
  `getDriveIndex()`
  `Boolean`
  `getEndOfData()`
  `Boolean`
  `getEndOfFile()`
  `Integer`
  `getFilePosition()`
  `Integer`
  `getPreviousTapeSlot()`
  `VirtualDriveState`
  `getState()`
  `VirtualDrive`
  `setBeginningOfTape(Boolean beginningOfTape)`
  `VirtualDrive`
  `setCurrentTape(VirtualTape currentTape)`
  `VirtualDrive`
  `setEndOfData(Boolean endOfData)`
  `VirtualDrive`
  `setEndOfFile(Boolean endOfFile)`
  `VirtualDrive`
  `setFilePosition(Integer filePosition)`
  `VirtualDrive`
  `setPreviousTapeSlot(Integer previousTapeSlot)`
  `VirtualDrive`
  `setState(VirtualDriveState state)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VirtualDrive

    public VirtualDrive(int driveIndex)

- ## Method Details

  - ### getDriveIndex

    public int getDriveIndex()

  - ### getState

    public VirtualDriveState getState()

  - ### setState

    public VirtualDrive setState(VirtualDriveState state)

  - ### getCurrentTape

    public VirtualTape getCurrentTape()

  - ### setCurrentTape

    public VirtualDrive setCurrentTape(VirtualTape currentTape)

  - ### getPreviousTapeSlot

    public Integer getPreviousTapeSlot()

  - ### setPreviousTapeSlot

    public VirtualDrive setPreviousTapeSlot(Integer previousTapeSlot)

  - ### getFilePosition

    public Integer getFilePosition()

  - ### setFilePosition

    public VirtualDrive setFilePosition(Integer filePosition)

  - ### getBeginningOfTape

    public Boolean getBeginningOfTape()

  - ### setBeginningOfTape

    public VirtualDrive setBeginningOfTape(Boolean beginningOfTape)

  - ### getEndOfFile

    public Boolean getEndOfFile()

  - ### setEndOfFile

    public VirtualDrive setEndOfFile(Boolean endOfFile)

  - ### getEndOfData

    public Boolean getEndOfData()

  - ### setEndOfData

    public VirtualDrive setEndOfData(Boolean endOfData)